Ask Your Question
0

fedora: rqt_plot runtime error

asked 2019-03-27 12:41:09 -0500

0novanta gravatar image

updated 2019-03-29 07:55:24 -0500

gvdhoorn gravatar image

I'm running ROS Kinetic on Fedora 29. After running successfully these commands:

rosrun turtlesim turtlesim_node
rosrun turtlesim turtle_teleop_key
rqt_graph

I try to run rqt_plot /turtle1/pose/x /turtle1/pose/y or equivalently rqt_plot /turtle1/pose/x:y and it gives the following error:

Warning: QT_DEVICE_PIXEL_RATIO is deprecated. Instead use:
   QT_AUTO_SCREEN_SCALE_FACTOR to enable platform plugin controlled per-screen factors.
   QT_SCREEN_SCALE_FACTORS to set per-screen factors.
   QT_SCALE_FACTOR to set the application global scale factor.
PluginManager._load_plugin() could not load plugin "rqt_plot/Plot":
Traceback (most recent call last):
  File "/home/Giuseppe/ros_catkin_ws/install_isolated/lib/python2.7/site-packages/qt_gui/plugin_handler.py", line 99, in load
    self._load()
  File "/home/Giuseppe/ros_catkin_ws/install_isolated/lib/python2.7/site-packages/qt_gui/plugin_handler_direct.py", line 54, in _load
    self._plugin = self._plugin_provider.load(self._instance_id.plugin_id, self._context)
  File "/home/Giuseppe/ros_catkin_ws/install_isolated/lib/python2.7/site-packages/qt_gui/composite_plugin_provider.py", line 71, in load
    instance = plugin_provider.load(plugin_id, plugin_context)
  File "/home/Giuseppe/ros_catkin_ws/install_isolated/lib/python2.7/site-packages/qt_gui/composite_plugin_provider.py", line 71, in load
    instance = plugin_provider.load(plugin_id, plugin_context)
  File "/home/Giuseppe/ros_catkin_ws/install_isolated/lib/python2.7/site-packages/rqt_gui_py/ros_py_plugin_provider.py", line 60, in load
    return super(RosPyPluginProvider, self).load(plugin_id, plugin_context)
  File "/home/Giuseppe/ros_catkin_ws/install_isolated/lib/python2.7/site-packages/qt_gui/composite_plugin_provider.py", line 71, in load
    instance = plugin_provider.load(plugin_id, plugin_context)
  File "/home/Giuseppe/ros_catkin_ws/install_isolated/lib/python2.7/site-packages/rqt_gui/ros_plugin_provider.py", line 101, in load
    return class_ref(plugin_context)
  File "/home/Giuseppe/ros_catkin_ws/install_isolated/lib/python2.7/site-packages/rqt_plot/plot.py", line 55, in __init__
    self._data_plot = DataPlot(self._widget)
  File "/home/Giuseppe/ros_catkin_ws/install_isolated/lib/python2.7/site-packages/rqt_plot/data_plot/__init__.py", line 149, in __init__
    raise RuntimeError('No usable plot type found. Install at least one of: PyQtGraph, MatPlotLib (at least %s) or Python-Qwt5.' % version_info)
RuntimeError: No usable plot type found. Install at least one of: PyQtGraph, MatPlotLib (at least 1.4.0) or Python-Qwt5.

So I've checked these three libraries and it seems they're all installed:
-for PyQtGraph I have python3-pyqtgraph
-for MatPlotLib I have python2-matplotlib
-for Python-Qwt5 I have PyQwt-5.2.0-40.fc29.src.rpm
So I don't get why this is not working properly since I have all of them. Anyway, I think that instead of python3-pyqtgraph I should install python2-pyqtgraph but dnf doesn't find it because it's an old version I think (or maybe it is deprecated).

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-03-28 14:19:15 -0500

0novanta gravatar image

Solved by running sudo pip install PyQtGraph

edit flag offensive delete link more

Comments

This is the right way to work around this. For context, python2-pyqtgraphwas dropped prior to the Fedora 30 release: https://src.fedoraproject.org/rpms/py...

cottsay gravatar imagecottsay ( 2019-09-17 14:06:01 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-03-27 12:41:09 -0500

Seen: 161 times

Last updated: Mar 29